<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: footer_links.php
| Author: JoiNNN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

?>
<!-- Latest downloads -->
<div class="section flleft">
	<?php
	echo "<h4>".$locale['latest_downloads']."</h4><ul>\n";
	$result = dbquery(
		"SELECT td.download_id, td.download_title, td.download_cat, td.download_datestamp,
				tc.download_cat_id, tc.download_cat_access
			FROM ".DB_DOWNLOADS." td
			INNER JOIN ".DB_DOWNLOAD_CATS." tc ON td.download_cat=tc.download_cat_id
			".(iSUPERADMIN ? "" : " WHERE ".groupaccess('download_cat_access'))."
			ORDER BY download_datestamp DESC LIMIT 0,5");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$download_title = trimlink($data['download_title'], 23);
		echo " <li><a href='".BASEDIR."downloads.php?download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'>".$download_title."</a></li><br />\n";
	}
	} else {
	echo "<li>".$locale['no_downloads']."</li>\n";
	}
	echo "</ul>\n";
echo "</div>\n";

?>
<!-- Newest Threads -->
<div class="section flleft">
	<?php
	echo "<h4>".$locale['global_021']."</h4><ul>\n";
	$result = dbquery("
		SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
		INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
		WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
		ORDER BY thread_lastpost DESC LIMIT 5");
	if (dbrows($result)) {
		while($data = dbarray($result)) {
			$itemsubject = trimlink($data['thread_subject'], 25);
			echo "<li><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."'>".$itemsubject."</a></li>\n";
		}
	} else {
		echo "<li>".$locale['global_023']."</li>\n";
	}
	echo "</ul>\n";
echo "</div>\n";

?>
<!-- Latest Articles -->
<div class="section flleft">
	<?php
	echo "<h4>".$locale['latest_articles']."</h4><ul>\n";
	$result = dbquery(
	"SELECT ta.article_id, ta.article_subject, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,5"
);
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo " <li><a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a></li><br />\n";
	}
		} else {
		echo "<li>".$locale['no_articles']."</li>\n";
	}
	echo "</ul>\n";
echo "</div>\n";

?>
<!-- Latest Weblinks -->
<div class="section flleft">
	<?php
	echo "<h4>".$locale['latest_weblinks']."</h4><ul>\n";
	$result = dbquery("SELECT * FROM ".DB_WEBLINKS." ORDER BY weblink_datestamp DESC LIMIT 5");
	if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
	$itemsubjectlink = trimlink($data['weblink_name'], 25);
	$itemdescriptionlink = trimlink($data['weblink_description'], 50);
	echo "<li><a href='".$data['weblink_url']."' title='".$itemdescriptionlink."' target='_blank'>".$itemsubjectlink."</a></li>\n";
		}
	} else {
	echo "<li>".$locale['no_links']."</li>\n";
	}
	echo "</ul>\n";
echo "</div>\n";
